
Pre-Development - Bug #19653

FE - React - Email Parameter Setting - Error when add new data 

02 February 2024 03:36 PM - Hazimi Muhammad

Status: Closed Start date: 02 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Scenario:

Click Email Parameter Setting -> add fill the form -> save

issue

----

Got issue when try to add new data

expected

----

Can add new data

History

#1 - 08 February 2024 05:09 PM - chok yee fan

- Assignee changed from chok yee fan to Nityanantan Nityanantan

take note on startBlastTime & endBlastTime, database only need time. so just ignore the date it will return inccorect date to FE, but the time is correct.

http://localhost:8081/api/emailConfigWs/createAction {

"emailConfigEntity": {

"status": "A",

"connCode": "connCode",

"connDesc": "connDesc",

"isDefault": "Y",//Y or N

"numberOfRetry": "1",

"password": "asd",

"port": "123",

"retryInterval": "2",

"senderId": "Sender Id",

"server": "server",

"startBlastTime":"17:31",

"endBlastTime":"17:31"

}

}

http://localhost:8081/api/emailConfigWs/viewAction {

"emailConfigBean": {

"configId": 14

}

}

chok: updateAction set the modify date and modify user id

Chok authored just now

set the time only for fields

"startBlastTime":"17:31",

"endBlastTime":"17:31",

remove createForm

https://dev.silverlakemobility.com/redmine/issues/19653

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/ea977abc27cfdb377c15fb34fc44791bda6f8e3f
#2 - 13 February 2024 02:05 PM - Nityanantan Nityanantan

- Status changed from New to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

Nity- fixed the error when add new data in email parameter settings.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/016f790a867d16577427edb28796e1859f218150

#3 - 13 February 2024 02:50 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue had been fix.

Now can add new data.

Click Email Parameter Setting -> add fill the form -> save -> new data has been add

#4 - 15 February 2024 02:45 PM - chok yee fan

- Status changed from Feedback to Closed

use new redmine to trace if have issue

Files

WhatsApp Image 2024-02-02 at 3.33.43 PM.jpeg 117 KB 02 February 2024 Hazimi Muhammad

Powered by TCPDF (www.tcpdf.org)

20 April 2025 2/2

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/016f790a867d16577427edb28796e1859f218150
http://www.tcpdf.org

